<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.njcn.product.cnuser.user.mapper.SysRoleFunctionMapper">

    <select id="getFunctionListByRoleId" resultType="com.njcn.product.cnuser.user.pojo.po.SysFunction">
        select b.*
        from sys_role_function a
                 inner join sys_function b on a.Function_Id = b.id
        where a.Role_Id = #{roleId} and b.type in (0, 1)
          and b.state = 1 order by b.sort,b.Update_Time desc
    </select>
</mapper>

